# -*- coding: utf-8 -*-
from django.conf import urls
from django.conf.urls import url

from kinder.controllers import dict_controller

#Импорт нужен для корректной регистрации обработчиков сигналов
from concentrator.dict import signals
import concentrator.changes.app_meta

from concentrator.changes.actions import (
    ChangesDetailPack,
    ChangesPack)
from concentrator.dict.actions import ServicesPack
from concentrator.update_conf.actions import UpdateConfigPack

from .change import (
    StorageHelper,
    DeclarationChangeHelper,
    DeclarationUnitChangeHelper,
    DeclarationPrivilegeChangeHelper
)


def register_actions():
    """
    Метод регистрации Action'ов для приложения в котором описан
    """

    dict_controller.packs.extend([
        UpdateConfigPack(),
        ChangesDetailPack(),
        ChangesPack(),
        ServicesPack()
    ])

    register_change_handlers()


def register_change_handlers():
    u"""Регистрация хэлперов для обработки изменений модели."""
    StorageHelper.register_change_helper(
        'Declaration', DeclarationChangeHelper)
    StorageHelper.register_change_helper(
        'DeclarationUnit', DeclarationUnitChangeHelper)
    StorageHelper.register_change_helper(
        'DeclarationPrivilege', DeclarationPrivilegeChangeHelper)
